<?php
// Conexión a la base de datos con MySQLi
$host = 'localhost';
$dbname = 'wolfburguers_dia';
$username = 'wolfburguers_cheke';
$password = 'Admin123.@$';  // Cambia si es necesario
// $host = 'localhost';
// $dbname = 'wolfburguers_dia';
// $username = 'root';
// $password = '';  // Cambia si es necesario

// Crear la conexión MySQLi
$conn = new mysqli($host, $username, $password, $dbname);

// Verificar si hay errores en la conexión
if ($conn->connect_error) {
    die(json_encode(['status' => 'error', 'message' => 'Error de conexión: ' . $conn->connect_error]));
}

// Obtener la fecha desde la solicitud
$fecha = $_GET['fecha'] ?? date('Y-m-d'); // Usa la fecha proporcionada o la actual por defecto

// Preparar la consulta SQL para obtener las ventas
$sql = "SELECT productos.nombre AS producto, SUM(ventas.cantidad) AS cantidad_vendida, SUM(ventas.total) AS total_vendido
        FROM ventas 
        JOIN productos ON ventas.producto_id = productos.id
        WHERE fecha_venta = ?
        GROUP BY productos.nombre";

// Preparar la declaración
$stmt = $conn->prepare($sql);

if ($stmt === false) {
    die(json_encode(['status' => 'error', 'message' => 'Error en la preparación de la consulta: ' . $conn->error]));
}

// Vincular los parámetros (en este caso la fecha)
$stmt->bind_param('s', $fecha);  // 's' indica que el parámetro es una cadena

// Ejecutar la declaración
$stmt->execute();

// Obtener los resultados
$result = $stmt->get_result();

// Verificar si se obtuvieron resultados
if ($result->num_rows > 0) {
    $ventas = [];

    // Recorrer los resultados y almacenarlos en un arreglo
    while ($row = $result->fetch_assoc()) {
        $ventas[] = $row;
    }

    // Devolver los datos en formato JSON
    echo json_encode($ventas);
} else {
    // Si no se encontraron ventas para esa fecha
    echo json_encode([]);
}

// Cerrar la declaración y la conexión
$stmt->close();
$conn->close();
?>
